From 1caae44524c437809cfd0fc9a955eb9330803805 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 11 May 2022 17:49:40 +0200
Subject: [PATCH 09/34] Add to set_agent_arg_r_uid() call to
 _xmit_new_end_time()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/job_mgr.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/slurmctld/job_mgr.c b/src/slurmctld/job_mgr.c
index 6d8f00162b..60b1c2b310 100644
--- a/src/slurmctld/job_mgr.c
+++ b/src/slurmctld/job_mgr.c
@@ -13291,6 +13291,7 @@ _xmit_new_end_time(struct job_record *job_ptr)
 #endif
 
 	agent_args->msg_args = job_time_msg_ptr;
+	set_agent_arg_r_uid(agent_args, SLURM_AUTH_UID_ANY);
 	agent_queue_request(agent_args);
 	return;
 }
-- 
2.35.3


